Mailing List Archive

lexmark driver problems
Hello!
I downloaded from the Lexmark websyte the drivres for my printer: Z33.
Their doesn't work with Gentoo!
I have a Slackware installed in my computer and I tried to install into
Slack and... they works!
I don't understand which program must I emerge for them!
This the output when I launch the script:

Barbara programlinux # ./lexmarkz33-1.0-4.sh
Verifying archive integrity...tail: impossible open `+6' for reading: No
such file or directory
Error in check sums 374662870 2147783509

Any suggestions?
Thanks,
Luigi
--
Public key (0x83A66C1F) available on http://keyserver.linux.it/
Re: lexmark driver problems [ In reply to ]
Luigi Pinna wrote:
> Hello!
> I downloaded from the Lexmark websyte the drivres for my printer: Z33.
> Their doesn't work with Gentoo!
> I have a Slackware installed in my computer and I tried to install into
> Slack and... they works!
> I don't understand which program must I emerge for them!
> This the output when I launch the script:
>
> Barbara programlinux # ./lexmarkz33-1.0-4.sh
> Verifying archive integrity...tail: impossible open `+6' for reading: No
> such file or directory

The version of tail in Gentoo does not accept the (obsolete) form
"tail +X", instead it requires "tail -n +X". This is actually quite
annoying as there are a lot of scripts around that use the former format.

Edit the installation script and replace "tail +6" with "tail -n +6"
(for all values of 6).

-jonathan

--
gentoo-user@gentoo.org mailing list
Re: Re: lexmark driver problems [ In reply to ]
Alle 10:50, domenica 05 settembre 2004, Jonathan Hudson ha scritto:

> The version of tail in Gentoo does not accept the (obsolete) form
> "tail +X", instead it requires "tail -n +X". This is actually quite
> annoying as there are a lot of scripts around that use the former
> format.
>
> Edit the installation script and replace "tail +6" with "tail -n +6"
> (for all values of 6).
>
> -jonathan
It worked, but it's not enough... I receive all these errors that don't
appear in Slackware, here, there are the errors and the script, can you
help me?
Thanks,
Luigi

chown: `lp.lp' syntax is obsolete; use `:' since this will be removed in
the future
while executing
"exec chown lp.lp $configpath"
(procedure "setpapersize" line 9)
invoked from within
"setpapersize $region"
invoked from within
".top21.can24.can21.but25 invoke"
("uplevel" body line 1)
invoked from within
"uplevel #0 [list $w invoke]"
(procedure "tkButtonUp" line 7)
invoked from within
"tkButtonUp .top21.can24.can21.but25
"
(command bound to event)

lpr: unable to print file: client-error-not-found
while executing
"exec lpr -P$printqueue $installpath/$testpagefile"
invoked from within
".top21.can24.can27.but37 invoke"
("uplevel" body line 1)
invoked from within
"uplevel #0 [list $w invoke]"
(procedure "tkButtonUp" line 7)
invoked from within
"tkButtonUp .top21.can24.can27.but37
"
(command bound to event)

This is the script (of course I removed the binary tail...)

#! /bin/sh
skip=156
# This script was generated using Makeself 1.5.5
CRCsum=
MD5=00000000000000000000000000000000
label="Lexmark Z23-Z33 Printer Driver"
script=./lexin
targetdir=standalone
scriptargs=""
keep=n
TMPROOT=${TMPDIR:=/tmp}
finish=true; xterm_loop=;
[ x"$1" = x-xwin ] && {
finish="echo Press Return to close this window...; read junk";
xterm_loop=1; shift 1;
}
if [ x"$1" = "x-help" -o x"$1" = "x--help" ]; then
cat << tac
1) Getting help or info about $0 :
$0 --help Print this message
$0 --info Print embedded info : title, default target directory,
embedded script ...
$0 --lsm Print embedded lsm entry (or no LSM)
$0 --list Print the list of files in the archive
$0 --check Checks integrity of the archive

2) Running $0 :
$0 [options] [additional arguments to embedded script]
with following options (in that order)
--confirm Ask before running embedded script
--keep Do not erase target directory after running
embedded script
--target NewDirectory Extract in NewDirectory
tac
exit 0;
fi
if [ x"$1" = "x-lsm" -o x"$1" = "x--lsm" ]; then
cat << EOF_LSM
no LSM
EOF_LSM
exit 0;
fi
if [ "$1" = "--info" ]; then
echo Identification: $label
echo Target directory: $targetdir
echo Uncompressed size: 10020 KB
echo Compression: gzip
echo Date of packaging: Fri Oct 5 16:10:32 PDT 2001
echo script run after extraction: $script $scriptargs
[ x"$keep" = xy ] && echo "directory $targetdir is permanent" || echo
"$targetdir will be removed after extraction"
exit 0;
fi
if [ "$1" = "--list" ]; then
echo Target directory: $targetdir
tail -n +$skip $0 | gzip -cd | tar tvf -
exit 0;
fi
if [ "$1" = "--check" ]; then
sum1=`tail -n +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ -f1`
[ $sum1 -ne $CRCsum ] && {
echo Error in checksums $sum1 $CRCsum
exit 2;
}
if [ $MD5 != "00000000000000000000000000000000" ]; then
# space separated list of directories
[ x"$GUESS_MD5_PATH" = "x" ] && GUESS_MD5_PATH="/usr/local/ssl/bin"
MD5_PATH=""
for a in $GUESS_MD5_PATH; do
if which $a/md5 >/dev/null 2>&1 ; then
MD5_PATH=$a;
fi
done
if [ -x $MD5_PATH/md5 ]; then
md5sum=`tail -n +6 $0 | $MD5_PATH/md5`;
[ $md5sum != $MD5 ] && {
echo Error in md5 sums $md5sum $MD5
exit 2
} || { echo check sums and md5 sums are ok; exit 0; }
fi
if [ ! -x $MD5_PATH/md5 ]; then
echo an embedded md5 sum of the archive exists but no md5 program
was found in $GUESS_MD5_PATH
echo if you have md5 on your system, you should try :
echo env GUESS_MD5_PATH=\"FirstDirectory SecondDirectory ...\" $0
-check
fi
else
echo check sums are OK ; echo $0 does not contain embedded md5 sum ;
fi
exit 0;
fi
[ x"$finish" = x ] && finish=true
parsing=yes
x11=y
while [ x"$parsing" != x ]; do
case "$1" in
--confirm) verbose=y; shift;;
--keep) keep=y; shift;;
--nox11) x11=n; shift;;
--target) if [ x"$2" != x ]; then targetdir="$2"; keep=y; shift 2;
fi;;
*) parsing="";;
esac
done
if [ "$keep" = y ]; then echo "Creating directory $targetdir";
tmpdir=$targetdir;
else tmpdir="$TMPROOT/selfgz$$"; fi
mkdir $tmpdir || {
$echo 'Cannot create target directory' $tmpdir >&2
$echo 'you should perhaps try option -target OtherDirectory' >&2
eval $finish; exit 1;
}
location="`pwd`"
echo=echo; [ -x /usr/ucb/echo ] && echo=/usr/ucb/echo
if [ x$SETUP_NOCHECK != x1 ]; then
$echo -n Verifying archive integrity...
sum1=`tail -n +6 $0 | cksum | sed -e 's/ /Z/' -e 's/ /Z/' | cut -dZ
-f1`
[ $sum1 -ne $CRCsum ] && {
$echo Error in check sums $sum1 $CRCsum
eval $finish; exit 2;
}
echo OK
fi
if [ $MD5 != \"00000000000000000000000000000000\" ]; then
# space separated list of directories
[ x$GUESS_MD5_PATH = x ] && GUESS_MD5_PATH=\"/usr/local/ssl/bin\"
MD5_PATH=\"\"
for a in $GUESS_MD5_PATH; do
if which $a/md5 >/dev/null 2>&1 ; then
MD5_PATH=$a;
fi
done
if [ -x $MD5_PATH/md5 ]; then
md5sum=`tail -n +6 $0 | $MD5_PATH/md5`;
[ $md5sum != $MD5 ] && {
$echo Error in md5 sums $md5sum $MD5
eval $finish; exit 2;
}
fi
fi
UnTAR() { tar xvf - || { echo Extraction failed. > /dev/tty; kill -15
$$; } ; }
$echo -n "Uncompressing $label"
cd $tmpdir ; res=3
[ "$keep" = y ] || trap 'echo Signal caught, cleaning up > /dev/tty; cd
$TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 15
if (cd "$location"; tail -n +$skip $0; ) | gzip -cd | UnTAR | (while
read a; do $echo -n .; done; echo; ); then
chown -Rf `id -u`:`id -g` .
res=0; if [ x"$script" != x ]; then
if [ x"$verbose" = xy ]; then
$echo "OK to execute: $script $scriptargs $* ? [Y/n] "
read yn
[. x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY ] && { $script $scriptargs
$*; res=$?; }
else
$script $scriptargs $*; res=$?
fi
[ $res != 0 ] && echo "The program returned an error code ($res)"
fi
[ "$keep" = y ] || { cd $TMPROOT; /bin/rm -rf $tmpdir; }
else
echo "Cannot decompress $0"; eval $finish; exit 1
fi
eval $finish; exit $res
END_OF_STUB


--
Public key (0x83A66C1F) available on http://keyserver.linux.it/
Re: lexmark driver problems [ In reply to ]
> It worked, but it's not enough... I receive all these errors that don't
> appear in Slackware, here, there are the errors and the script, can you
> help me?
> Thanks,
> Luigi

Never buy Lexmark, their binary drivers suck. Bit late for that. Various
problems, like it expects lpr not CUPS, and appears to be wrapped up in
some Tk program.

I suugest you have a look at
http://www.linuxprinting.org/show_printer.cgi?recnum=Lexmark-Z23

By following the instructions you may be able to install a CUPS driver
that works.

Good luck.

-jonathan

--
gentoo-user@gentoo.org mailing list
Re: Re: lexmark driver problems [ In reply to ]
Alle 12:45, domenica 05 settembre 2004, Jonathan Hudson ha scritto:

> Never buy Lexmark, their binary drivers suck. Bit late for that.
> Various problems, like it expects lpr not CUPS, and appears to be
> wrapped up in some Tk program.
>
> I suugest you have a look at
> http://www.linuxprinting.org/show_printer.cgi?recnum=Lexmark-Z23
>
> By following the instructions you may be able to install a CUPS
> driver that works.
>
> Good luck.
>
> -jonathan

Well it works now!
I installed the lexmark-foomatic-kit and I configured for the right
printer: I printed a good test page!
Thank you very much!
Luigi
--
Public key (0x83A66C1F) available on http://keyserver.linux.it/
Re: Re: lexmark driver problems [ In reply to ]
I have been having a heck of a time getting the Z22 working properly.
This is my situation.
I have a Compaq IJ600 (just a Compaq branded Lexmark Z22) connected to
my Windows XP box, and have my laptop configured with samba and cups
to connect to the Windows Shared printer. I was able to get the
printer to work but all of the prints that come off of it are really
crappy, lines aren't straight and text is almost unreadable. I tried
configuring the settings to make it look better to no avail. I saw
this thread and decided to use Lexmarks Binary drivers and
lexmark-foomatic-kit since it worked for you. I set up both but in
cups whenever I try and print it tells me

"Unable to connect to SAMBA host, will retry in 60
seconds...foomatic-rip version $Revision: 3.43.2.2 $ running..."

I have never had this problem before. So I tried making another
printer just like I had before and now it tells me the exact same
thing. Can anybody help me shed some light on this issue.
On Sun, 5 Sep 2004 13:51:11 +0200, Luigi Pinna
<520013827829-0001@t-online.de> wrote:
> Alle 12:45, domenica 05 settembre 2004, Jonathan Hudson ha scritto:
>
> > Never buy Lexmark, their binary drivers suck. Bit late for that.
> > Various problems, like it expects lpr not CUPS, and appears to be
> > wrapped up in some Tk program.
> >
> > I suugest you have a look at
> > http://www.linuxprinting.org/show_printer.cgi?recnum=Lexmark-Z23
> >
> > By following the instructions you may be able to install a CUPS
> > driver that works.
> >
> > Good luck.
> >
> > -jonathan
>
> Well it works now!
> I installed the lexmark-foomatic-kit and I configured for the right
> printer: I printed a good test page!
> Thank you very much!
> Luigi
>
>
> --
> Public key (0x83A66C1F) available on http://keyserver.linux.it/
>
>
>
>

--
gentoo-user@gentoo.org mailing list